public  static boolean eltsNotEqual(Object [] arr, Object elt) {
    if (arr == null) { return false; }
    for (int i = 0 ; i < arr.length ; i++) {
        if ((arr[i] == elt)) { return false; }
    }
    return true;
}

public  static boolean sameLength(Object [] seq1, Object [] seq2) {
    return ((seq1 != null)
    && (seq2 != null)
    && seq1.length == seq2.length);
}

public  static boolean pairwiseEqual(Object [] seq1, Object [] seq2) {
    if (! sameLength(seq1, seq2)) { return false; }
    assert seq1 != null && seq2 != null; // because sameLength() = true
    for (int i = 0 ; i < seq1.length ; i++) {
        if ((seq1[i] != seq2[i])) {
            return false;
        }
    }
    return true;
}

public  static Object getElement_Object (Object[] arr, long i) {
    if (arr == null) { return null; } // return default value
    return arr[(int)i];
}

public static boolean eltsEqual(Object [] arr, Object elt) {
    if (arr == null) { return false; }
    for (int i = 0 ; i < arr.length ; i++) {
        if (arr[i] != elt) { return false; }
    }
    return true;
}

public static boolean eltsEqual(boolean [] arr, boolean elt) {
    if (arr == null) { return false; }
    for (int i = 0 ; i < arr.length ; i++) {
        if (arr[i] != elt) { return false; }
    }
    return true;
}

public static boolean memberOf(Object elt, Object [] arr) {
    if (arr == null) { return false; }
    for (int i = 0 ; i < arr.length ; i++) {
        if (arr[i] == elt) { return true; }
    }
    return false;
}
